Subject: Re: FVWM: Key bindings with modifiers

From: Dominik Vogt <[email-masked]>
Date: Thu, 30 Sep 2021 18:17:49 +0200

On Fri, Sep 28, 2001 at 11:26:01AM -0400, John Davin wrote:
> The fvwm FAQ mentions that the NumLock, CapsLock and Scrolllock keys act
> as modifiers and will interfere with key bindings... I have experienced
> this problem.  However, the FAQ just says to disable the keys or set
> ignore.  Is there a way I can get my key bindings to still work when the
> NumLock key is on (NumLock is the only one I care about, and I prefer to
> have it on all the time but it doesn't go on automatically)?
> For example, some of my key bindings in .fvwm2rc are:
> 
> Key 1 A M GotoPage 0 0
> Key 2 A M GotoPage 1 0
> Key 3 A M GotoPage 0 1
> Key 4 A M GotoPage 1 1
> Key Tab A M WindowList Root c c NoDeskSort
> 
> So alt-1 goes to 1st page of desktop 0, etc.
> Is there a change I can make so that it works when NumLock is on?

In 2.4.x you can tell fvwm to ignore the num-lock modifier
completely with the IgnoreModifiers command:

  IgnoreModifiers L2

(num-lock is usually modifier 2 in XFree.  If that's not the case
for your X server, use the "xmodmap" command to find out the
correct number).  This command causes to bind all combinations of
num-lock and caps-lock for each binding.  E.g., if you have

  Key 1 A M GotoPage 0 0

fvwm also binds

  Key 1 A ML GotoPage 0 0
  Key 1 A M2 GotoPage 0 0
  Key 1 A ML2 GotoPage 0 0

(actually, bindings don't know about the 'L' modifier, so this
exaple is not accurate, but you get the idea).  This can create a
lot of extra netwoirk traffic and slow down things considerably,
especially if you ignore other modifiers too.

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].